Skip to main content
GET
/
app-data-schemas
List app data schemas
curl --request GET \
  --url https://api.getmembrane.com/app-data-schemas \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "uuid": "<string>",
      "key": "<string>",
      "description": "<string>",
      "meta": {},
      "state": "BUILDING",
      "errors": [
        {
          "message": "<string>",
          "type": "bad_request",
          "key": "<string>",
          "data": {},
          "stack": {},
          "causedByError": "<unknown>",
          "logs": [
            {}
          ]
        }
      ],
      "revision": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "archivedAt": "<string>",
      "isDeactivated": true,
      "isReadOnly": true,
      "instanceKey": "<string>",
      "appDataSchemaId": "<string>",
      "schema": {},
      "code": "<string>",
      "userId": "<string>",
      "tenantId": "<string>",
      "appDataSchemaRevision": "<string>",
      "isCustomized": true,
      "error": {
        "message": "<string>",
        "type": "bad_request",
        "key": "<string>",
        "data": {},
        "stack": {},
        "causedByError": "<unknown>",
        "logs": [
          {}
        ]
      },
      "user": {},
      "appDataSchema": {}
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

Text search query to filter results

limit
integer

Maximum number of items to return (1-1000)

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor from a previous response

includeArchived
boolean
isUniversal
boolean
tenantId
string
userId
string
appDataSchemaId
string
instanceKey
string

Response

200 - application/json
items
object[]
required
cursor
string